namespace ti_common {

    class CloudPlatform implements IExecutionPlatform {
        getPlatform(): PlatformType {
            return ti_common.PlatformType.CLOUD;
        }
    }

     angular.module('ti_common').service('ticExecutionPlatform', CloudPlatform);
}